ARG VARIANT=1.17

FROM mcr.microsoft.com/vscode/devcontainers/go:${VARIANT}

ARG WORKSPACE=/code

ARG INSTALL_NODE="true"
ARG NODE_VERSION="lts/*"
RUN if [ "${INSTALL_NODE}" = "true" ]; then su vscode -c "source /usr/local/share/nvm/nvm.sh && nvm install ${NODE_VERSION} 2>&1"; fi

# Install nodejs binaries
RUN npm install -g redoc-cli standard-version

# Ensure vscode is the owner of the new workspace
RUN mkdir -p ${WORKSPACE} && chown vscode:vscode ${WORKSPACE}

USER vscode

WORKDIR $WORKSPACE